---
driver:
  name: vagrant
  provider:
    name: libvirt
    options:
      driver: kvm
lint: |
  set -e
  yamllint -c ../../../.yamllint .
platforms:
  - name: ubuntu18
    box: generic/ubuntu1804
    cpus: 1
    memory: 1024
    nested: true
    groups:
      - kube-master
  - name: ubuntu20
    box: generic/ubuntu2004
    cpus: 1
    memory: 1024
    nested: true
    groups:
      - kube-master
provisioner:
  name: ansible
  env:
    ANSIBLE_ROLES_PATH: ../../../../
  config_options:
    defaults:
      callback_whitelist: profile_tasks
  lint:
    name: ansible-lint
    options:
      c: ../../../.ansible-lint
  inventory:
    group_vars:
      all:
        become: true
verifier:
  name: testinfra
  lint:
    name: flake8
